<?php
//application constant
use Cake\I18n\FrozenTime;define("TOKEN_EXPIRED_AFTER", "+15 min");
define("PIN_EXPIRED_AFTER", "+10 min");
define("APP_DEFAULT_LANGUAGE", "en_US");
define("TRUE_CODE", "1");
define("FALSE_CODE", "0");
define("SUCCESS_CODE", "+000");
define("FAIL_CODE", "-1");
define("TOKEN_CHAR_NO", "8");
define("BULK_ACTION_DELETE", "1");
define('PROFILE_PIC_UPLOAD_DIR', 'profileImages/');
define("APP_DEFAULT_IMAGE_PATH", "default/default_image.png");
define("APP_REG_EMAIL_TEMPLATE_NAME", "registration/email");
define("APP_FORGOT_PASS_EMAIL_TEMPLATE_NAME", "forgotpass/forgot_password");
define("REGISTRATION_EMAIL_SCHEDULE_TRACKING_FILE", "registration_email_schedule.txt");
define("APP_EMAIL_FROM", "no-reply@ygtimes.com");
define("APP_EMAIL_FROM_DISPLAY_NAME", "Zeerow");
define("FA_CONFEDERATION", json_encode(['AFC','UEFA','CAF','CONCACAF','CONMEBOL','OFC']));

define("TEAM_TYPES", json_encode(['Football' , 'Futsal' , 'Beach football']));


define("GENDER", json_encode(['Men','Women']));
define("FORM_TYPE", json_encode(['1'=>'Static','2'=>'Form']));


define('LANGUAGE_CODE_ENGLISH', 'en');
define('LANGUAGE_CODE_KOREAN', 'ko');

define('LANGUAGES',[
    'en'=>'English'
//    ,'ko'=>'Korean'
]);

define('STATUS_ACTIVE', 1);
define('STATUS_NOT_ACTIVE', 0);
define('SUPER_SUPER_ADMIN_ID', 1);
define('STATUS_PAUSE_MEMBERSHIP', 2);


define("RANDOM_KEY_LENGTH", 4); // key lenght for generating sharing key.
define("WIDTH_OF_IMAGE", 100);  // Set the width of thumbnail image
define("MAX_FILE_SIZE",1288490190); // Set Maximum File size for content page. 1.2 GB

define('MANDRILL_TEMPLATE_USER_CREATION', 'user-creation-cms-en');
define('MANDRILL_TEMPLATE_FORGOT_PASSWORD', 'cms-forgot-password');
define('MANDRILL_TEMPLATE_REPLY_MESSAGE', 'reply-message');
define('INVOICE_TEMPLATE', 'invoice');
define('ESTIMATE_TEMPLATE', 'estimate');

define('MANDRILL_TEMPLATE_STUDENT_CONFIRMATION', 'student_registration_for_student');
define('MANDRILL_TEMPLATE_STUDENT_CONFIRMATION_FOR_ADMIN', 'student_registration_for_admin');

define('DEFAULT_MEMBER_ID', 2);
define('COMPANY_ID', 8);

define('MAXIMUM_ALLOW_IP', 2);

define('ADMIN_USER_GROUP_ID', 9);
define('ADMIN_USER_ROLE_ID', 9);
define('USER_GROUP_ID', 11);
define('USER_ROLE_ID', 11);
define('UNIT', 'USD');

define('STAFF_GROUP_ID', 12);

define('INVOICE_ACTIVE', 0);
define('INVOICE_INACTIVE', 1);
define('INVOICE_STATUS', json_encode(['Open','Paid','Sent','Partially Paid','Canceled','Accepted','Declined','Invoiced','Revised']));// 0 = Open, 1 = paid, 2 = sent, 3= PartiallyPaid, 4=Canceled, 5= Accepted,6=Declined,7=Invoiced,8=Revised
define('INVOICE_CURRENCY', json_encode(['$'=>'$','£'=>'£','€'=>'€','¥'=>'¥']));
define('DATE_FORMAT', 'Y-m-d');
define('CURRENCY_INDICATOR', '');
define('DISCOUNT_TYPE_INDICATOR', '%');
define("PERMISSION", json_encode(['Only show own tasks for non super admins','Clients can create tasks']));

define("TYPES", json_encode(['Payment' , 'Refund']));
define("REBILL", json_encode(['Yes' , 'No']));
define("ATTACHMENT", "attach-documents/");
define("INVOICE_LOGO", "invoice-logo/");
define("PROJECT_MEDIA_FILES", "project-media-files/");
define("PRIORITY", json_encode(['Low' , 'Medium','High']));
define('TASK_STATUS', json_encode(['Open','Done']));
define('TASK_TYPE', json_encode(['Not Billable','Billable','Billed']));

define('SUBSCRIPTION_FREQUENCY', json_encode([7=>'weekly',30=>'Monthly']));
define('SUBSCRIPTION_STATUS', json_encode([0=>'Inactive',1=>'Active',2=>'Ended',3=>'All']));

define('USER_STATUS', json_encode(['Active','InActive']));
define('MEMBER_STATUS', json_encode(['InActive','Active']));
define("USER_PHOTO", "user-photo/");

define('TICKET_STATUS', json_encode(['Open','Reopen','Closed']));   //0 = open, 1 = Reopen, 2 = close
define('TICKET_BULK_ACTION', json_encode(['Close']));   //0 = open, 1 = Reopen, 2 = close
define('INVOICE_ADDPAYMENT_TYPE', json_encode(['Cash','Credit', 'Card','Paypal','Bank Transfer','Check','Direct Debit']));   //0 = open, 1 = Reopen, 2 = close

define("CONTACT_PHOTO", "contact_photo/");//latest
define("CMSUSER_LOGO", "cmsuser_logo/");//latest

define("PROJECT_RATE_TYPE", json_encode(['Fixed price','Rate per hour','Subscription pricing']));
// we have 4 types of user & they can log in separately
define('CMS_USER_INDICATOR',1);
define('CONTACT_USER_INDICATOR',3);
define('CRM_USER_INDICATOR',2);
define('STAF_USER_INDICATOR',4);




define('CSV_HEADING', json_encode(['Id','First Name','Last Name',
    'Address','City','State',
    'ZIP Code','CR D.O.B','Send Credential',
    'Password','Email','Phone',
    'CR CRA Report','CR First Name',
    'CR Last Name','CR Street No','CR Street Name',
    'CR City','CR State','CR Credit Bureau Address',
    'CR Social Security No','CR Sincerely','CR Credit Company Name',
    'CR Credit Company username','CR Credit Company Password'
]));

define('TICKET_PRIORITY',['-1'=>'All','0'=>'Low','1'=>'Medium','2'=>'High','3'=>'Urgent','4'=>'Very Urgent']);
define('SUPPORT_EMAIL','support');
define('SUPPORT_TEAM_MAIL',json_encode(['','']));
define("SUPPORT_STATUS",json_encode(['All','Open','Closed']));   //2=closed,1=open,3=archieved,0=All


define('SUPPORT_STATUS_OPEN', 1);
define('SUPPORT_STATUS_CLOSED', 2);
define('SUPPORT_STATUS_ARCHIEVED', 3);

define('CLOSE_TICKET_TIME', 15); //15 days
define('ARCHIEVE_TICKET_TIME', 30); //30 days
define('SUPPORT_MESSAGE','support_reply');
define("SUPPORT_MEDIA_FILES", "media/companies/");
define('TICKET_ATTACHMENT_SIZE', 2097152);
define('CLOSE_TICKET', 'close_ticket');

define('GUEST_STATUS',json_encode(['Inactive','Active']));
define('REGISTRATION','registration'); //guest registration email template
define('ADMIN_EMAIL','');
define('GUEST_FORGOT_PASSWORD','guests_forgot_password'); // guest forgot password email template



define("EMAIL_EXPORT_TYPE", 1);
define("DROPBOX_EXPORT_TYPE", 2);
define("GOOGLE_DRIVE_EXPORT_TYPE", 3);
define("ZAPIER_EXPORT_TYPE", 4);
define("RINGCENTRAL_EXPORT_TYPE", 5);
define("LETTER_STREAM_TYPE", 6);
define("ONE_DRIVE_TYPE", 7);
define("MEMBER_EXPORT_OPTIONS", [
                                EMAIL_EXPORT_TYPE=>['name'=>'Email'],
                                DROPBOX_EXPORT_TYPE=>['name'=>'Dropbox'],
                                GOOGLE_DRIVE_EXPORT_TYPE=>['name'=>'Google Drive'],
                                ZAPIER_EXPORT_TYPE=>['name'=>'Zapier'],
                                RINGCENTRAL_EXPORT_TYPE =>['name'=>'Ring Central'],
                                LETTER_STREAM_TYPE =>['name'=>'Letter Stream'],
                                ONE_DRIVE_TYPE =>['name'=>'One Drive']
                                ]);

define('ADMIN_TO_MEMBER_EMAIL_TEMPLATE', 'admintomembers');
define('PROJECT_DIR_NAME','html');
define('CUSTOMER_USER_GROUP_ID',11);

define("MEMBER_ACTIVE_INACTIVE_LIST", [
                                ''=>'All',
                                '1'=>'Member',
                                '2'=>'Not Member',
                                ]);

define("MEMBER_EXPORT_CSV_HEADING", ['id','Username','Email','Member','Stripe Customer','Phone','Created on']);


define("GUEST_ADMIN_REG_EMAIL_TEMPLATE","guest_registration_to_admin");
define("GUEST_DOWNLOAD_COUNT",5);

define("MEMBER_STATUS_LIST", [
                                '3'=>'All',
                                '1'=>'Active Member',
                                '2'=>'Inactive Member',
                                '4'=>'Trial User'
                                ]);


define('NEXT_SELECTION_NEAREST_DAY',3);



define('CRM_USER_MAX_INSERT', 2);
define('AUTOMATION_ACTION_TYPES',['1'=>'Delete all','2'=>'Make pause','3'=>'Make one time','4'=>'Make recurring','5'=>'Send Later']);

define('CHAT_AFFILIATE_USER', 1);
define('CHAT_CLIENT_USER', 3);
define('CHAT_MEMBER_USER', 2);
define('AGREEMENT_STATUS',['1'=>'Active','2'=>'Inactive']);
define('AUTHORIZE_DOT_NET_TYPE', 1);


define('AGREEMENT_ACTION_TYPES', ['1'=>'Delete all','2'=>'Make all active','3'=>'Make all inactive']);
define('PUBLIC_RECORD_DROPDOWN_INFO', ['Chapter 7'=>'Chapter 7','Chapter 13'=>'Chapter 13','Chapter 11'=>'Chapter 11','Tax Lien'=>'Tax Lien']);

define('INVOICE_CONTROLLER_ID', 4);
define('PROFILE_IMAGE_SIZE',['height'=>600,'width'=>500]);
define('LOGO_SIZE',['height'=>1372,'width'=>2527]);

define('SETUP_MESSAGE_STATUS',['1'=>'Active','2'=>'Inactive']);


define('GUEST_REMINDER_EMAIL_TEMPLATE','guest_reminder_email');
define('CLIENT_MESSAGE_EMAIL_TEMPLATE','client_message_email');

//client upload medias type id
define('IDENTIFICATION_IMAGE_ID',1);
define('MAIL_DOC_IMAGE_ID',2);
define('SSN_IMAGE_ID',3);
define('STATE_PHOTO_IMAGE_ID',4);
define('NOTARIZED_LETTER_IMAGE_ID',5);
define('CR_REPORT_IMAGE_ID',6);
define('TROUBLE_MARK_FILE_IMAGE_ID',7);
define('ITEM_CHALLENGE_FILE_IMAGE_ID',8);


define('SOFTWARE_VERSION_STATUS',['1'=>'Active','2'=>'Inactive']);

define('SUPER_RTG_LS_FAX_PKG_ID',15);

define('AUTH_ID_FOR_DEPLOYMENT',[3,2]);

define('DEPLOYMENT_SUBMODULE_ID',3227);

define('SETUP_EMAIL_ACTION_TYPES', ['1'=>'Delete all','2'=>'Send Email']);

define('EMAIL_SENT_OUT_LIST_TYPE', 1);
define('EMAIL_TEMPLATE_LIST_TYPE', 2);
define('EMAIL_CAMPAIGN_LIST_TYPE', 3);
define('EMAIL_CAMPAIGN_SENTOUT_LIST_TYPE', 4);

define('SETUP_EMAIL_ACTION_LIST_TYPES', [
                                            EMAIL_SENT_OUT_LIST_TYPE=>'Email Sent out List',
                                            EMAIL_TEMPLATE_LIST_TYPE=>'Template List',
                                            EMAIL_CAMPAIGN_LIST_TYPE=>'Campaign List',
                                            EMAIL_CAMPAIGN_SENTOUT_LIST_TYPE=>'Campaign Sent out List',
                                        ]);

define('EMAIL_CAMPAIGN_STATUS', ['1'=>'Active','2'=>'Inactive']);



define('CRA_ACCOUNT__ANALYSIS','[ACCOUNT_ANALYSIS]');
define('CRA_SUMMARY_HTML','[SUMMARY_HTML]');
define('CRA_CREDIT_SCORE','[CREDIT_SCORE]');
define('CRA_PUBLIC_RECORD','[PUBLIC_RECORD]');
define('CRA_INQUIRES','[INQUIRES]');
define('CRA_INQUIRES_COUNT','[INQUIRES_COUNT]');
define('CRA_CREDIT_UTILIZATION','[CREDIT_UTILIZATION]');
define('CRA_CREDIT_UTILIZATION_SUMMARY','[CREDIT_UTILIZATION_SUMMARY]');
define('CRA_DEROGETORY','[DEROGETORY]');
define('CRA_PUBLIC_RECORD_COUNT','[PUBLIC_RECORD_COUNT]');
define('CRA_PERSONAL_INFO','[PERSONAL_INFORMATION]');



define('CLIENT_PORTAL_DOMAIN','https://www.learninghub.com/');
define('CLIENT_PORTAL_FAVICON','images/favicon/lock_favicon.ico');
define('CLIENT_PORTAL_LOGO','/images/logo/favicon.ico');
define('CLIENT_PORTAL_DEFAULT_HEADER','Secure Client Portal');



define('CREDIT_ANALYSIS_EMAIL_SUB','Congratulations! Your Credit Analysis is Ready');
define('CREDIT_ANALYSIS_EMAIL_BODY','Congratulations! Your Credit Analysis is Ready to View Below. Please contact us if you have any further questions');

define('CREDIT_ANALYZER_EMAIL_SUB','Congratulations! Your Credit Analyzer is Ready');
define('CREDIT_ANALYZER_EMAIL_BODY','Congratulations! Your Credit Analyzer is Ready to View Below. Please contact us if you have any further questions');

define('LIMITED_VERSION_EXCEED_MESSAGE','OOPS! You have exceeded your #_LIMITED_VERSION_CLIENT_COUNT_# Person Access Limit, If you would like to Add more People Please contact Us At 614-547-6222.');

define('SAME_AS_BY', 'same_as_by');
define('LIMITED_VERSION_PKG_ID', 16);


define('USER_TYPE_DROPDOW_LIST',['1'=>'Everyone','2'=>'Me','3'=>'Team Member','4'=>'Client']);

define('LIMITED_TIME_PKG_ID', 17);
define('LIMITED_TIME_PKG_MESSAGE',
        'Your #_DAYS_#'
        .' days has expired, you are now ready to upgrade to the '
        . 'full version of Clickletters. Please contact our customer support '
        . 'team at 614-547-622 for more assistance.');


define('CLIENT_ACTION_TYPES', ['1'=>'Delete all','2'=>'Make all Active','3'=>'Make all Inactive','4'=>'Make All Graduated/Completed','5'=>'Export All']);

define('AUTOMATION_WARRING',"This letter has automations and by deleting this account all automations will also be deleted do you want to continue ?");


define('CLIENT_POPUPS_LIST',[
    '1'=>'Image',
    '2'=>'Video',
]);

define('MESSAGE_LENGTH',1000); // for client message limit.
define('LETTER_COUNT_MESSAGE','#_maxlength_# character limit, #_remlength_# remaining.');

define('EMPLOYEE_USER_TYPE_DROPDOW_LIST',['1'=>'Everyone','2'=>'Me','4'=>'Client']);

define('MEMBER_EMPLOYEE_MESSAGE_TO_CLIENT','Customer Support');

define('NEXT_DATE_INTERVAL_DAYS',['15'=>'15 days','21'=>'21 days','45'=>'45 days','65'=>'65 days']);

define('UPLOAD_MEDIA_SIZE', 1048576*3);//1MB = 1048576bytes
define('UPLOAD_MEDIA_WIDTH', 900);
define('UPLOAD_MEDIA_HEIGHT', 500);
define('UPLOAD_CLIENT_MEDIA_SIZE',UPLOAD_MEDIA_SIZE/1048576); // Size in MB
define('UPLOAD_MEDIA_MESSAGE', 'Please keep upload image size less than '.UPLOAD_CLIENT_MEDIA_SIZE.'MB and proportion '.UPLOAD_MEDIA_WIDTH.' X '.UPLOAD_MEDIA_HEIGHT);
define('NOTE_CHAR_LENGTH',2000);


define('CLIENT_SEND_EMAIL_ACTION_TYPES', ['1'=>'Delete all']);
define('QUEUE_MONITOR_USER_EMAIL',['']);


define('EPIVELOCITY_FOR_EMPLOYEES_PKG_ID',20);
define('RTG_FOR_EMPLOYEES_PKG_ID',21);

define('DATE_SELECTION_BY_DAYS',[
                                '15'=>'15 days',
                                '21'=>'21 days',
                                '30'=>'30 days',
                                '45'=>'45 days',
                                '60'=>'60 days',
                                '65'=>'65 days',
                                '90'=>'90 days',
                                '180'=>'180 days',
                            ]);





define('VIDEO_SETTINGS_STATUS',['1'=>'Active','0'=>'Inactive']);


define('COPY_RIGHT_YEAR','2025');
define('CLIENT_PORTAL_DEFAULT_FOOTER','Secure SSL Area | This website is protected by secure portal © '.COPY_RIGHT_YEAR.' All rights reserved.');
define('UPGRADE_BUTTON_ALERT_TEXT', 'Please contact customer support for details to upgrade your account (614-547-6222)');

define('MAIN_DOMAIN_FOOTER','<strong>Secure SSL Area | This website is protected by secure portal © '.COPY_RIGHT_YEAR.' <a href="https://www.lslh.org.uk/" target="_blank">londonschooloflearninghub</a>. </strong> All rights reserved.');
define("STUDENT_TITLE", json_encode(["Mr","Ms","Mrs","Miss","Dr"]));
define("DAYS", json_encode(["01","02","03","04","05","06","07","08","09","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31"]));
define("MONTHS", [ "01" => "January","02" =>"February",
                                "03"=>"March","04" =>"April",
                                "05"=>"May","06" => "June",
                                "07" => "July","08" => "August",
                                "09" => "September","10" => "October",
                                "11" => "November","12" => "December"]);

define("STUDENT_GENDER", json_encode(["Male","Female","Others"]));

define("COUNTRIES", [
    'Afghanistan' => 'Afghanistan',
    'Åland Islands' => 'Åland Islands',
    'Albania' => 'Albania',
    'Algeria' => 'Algeria',
    'American Samoa' => 'American Samoa',
    'Andorra' => 'Andorra',
    'Angola' => 'Angola',
    'Anguilla' => 'Anguilla',
    'Antarctica' => 'Antarctica',
    'Antigua and Barbuda' => 'Antigua and Barbuda',
    'Argentina' => 'Argentina',
    'Armenia' => 'Armenia',
    'Aruba' => 'Aruba',
    'Australia' => 'Australia',
    'Austria' => 'Austria',
    'Azerbaijan' => 'Azerbaijan',
    'Bahamas' => 'Bahamas',
    'Bahrain' => 'Bahrain',
    'Bangladesh' => 'Bangladesh',
    'Barbados' => 'Barbados',
    'Belarus' => 'Belarus',
    'Belgium' => 'Belgium',
    'Belize' => 'Belize',
    'Benin' => 'Benin',
    'Bermuda' => 'Bermuda',
    'Bhutan' => 'Bhutan',
    'Bolivia' => 'Bolivia',
    'Bosnia and Herzegovina' => 'Bosnia and Herzegovina',
    'Botswana' => 'Botswana',
    'Bouvet Island' => 'Bouvet Island',
    'Brazil' => 'Brazil',
    'British Indian Ocean Territory' => 'British Indian Ocean Territory',
    'Brunei Darussalam' => 'Brunei Darussalam',
    'Bulgaria' => 'Bulgaria',
    'Burkina Faso' => 'Burkina Faso',
    'Burundi' => 'Burundi',
    'Cambodia' => 'Cambodia',
    'Cameroon' => 'Cameroon',
    'Canada' => 'Canada',
    'Cape Verde' => 'Cape Verde',
    'Cayman Islands' => 'Cayman Islands',
    'Central African Republic' => 'Central African Republic',
    'Chad' => 'Chad',
    'Chile' => 'Chile',
    'China' => 'China',
    'Christmas Island' => 'Christmas Island',
    'Cocos (Keeling) Islands' => 'Cocos (Keeling) Islands',
    'Colombia' => 'Colombia',
    'Comoros' => 'Comoros',
    'Congo' => 'Congo',
    'Congo, The Democratic Republic of The' => 'Congo, The Democratic Republic of The',
    'Cook Islands' => 'Cook Islands',
    'Costa Rica' => 'Costa Rica',
    'Cote D\'ivoire' => 'Cote D\'ivoire',
    'Croatia' => 'Croatia',
    'Cuba' => 'Cuba',
    'Cyprus' => 'Cyprus',
    'Czech Republic' => 'Czech Republic',
    'Denmark' => 'Denmark',
    'Djibouti' => 'Djibouti',
    'Dominica' => 'Dominica',
    'Dominican Republic' => 'Dominican Republic',
    'Ecuador' => 'Ecuador',
    'Egypt' => 'Egypt',
    'El Salvador' => 'El Salvador',
    'Equatorial Guinea' => 'Equatorial Guinea',
    'Eritrea' => 'Eritrea',
    'Estonia' => 'Estonia',
    'Ethiopia' => 'Ethiopia',
    'Falkland Islands (Malvinas)' => 'Falkland Islands (Malvinas)',
    'Faroe Islands' => 'Faroe Islands',
    'Fiji' => 'Fiji',
    'Finland' => 'Finland',
    'France' => 'France',
    'French Guiana' => 'French Guiana',
    'French Polynesia' => 'French Polynesia',
    'French Southern Territories' => 'French Southern Territories',
    'Gabon' => 'Gabon',
    'Gambia' => 'Gambia',
    'Georgia' => 'Georgia',
    'Germany' => 'Germany',
    'Ghana' => 'Ghana',
    'Gibraltar' => 'Gibraltar',
    'Greece' => 'Greece',
    'Greenland' => 'Greenland',
    'Grenada' => 'Grenada',
    'Guadeloupe' => 'Guadeloupe',
    'Guam' => 'Guam',
    'Guatemala' => 'Guatemala',
    'Guernsey' => 'Guernsey',
    'Guinea' => 'Guinea',
    'Guinea-bissau' => 'Guinea-bissau',
    'Guyana' => 'Guyana',
    'Haiti' => 'Haiti',
    'Heard Island and Mcdonald Islands' => 'Heard Island and Mcdonald Islands',
    'Holy See (Vatican City State)' => 'Holy See (Vatican City State)',
    'Honduras' => 'Honduras',
    'Hong Kong' => 'Hong Kong',
    'Hungary' => 'Hungary',
    'Iceland' => 'Iceland',
    'India' => 'India',
    'Indonesia' => 'Indonesia',
    'Iran, Islamic Republic of' => 'Iran, Islamic Republic of',
    'Iraq' => 'Iraq',
    'Ireland' => 'Ireland',
    'Isle of Man' => 'Isle of Man',
    'Israel' => 'Israel',
    'Italy' => 'Italy',
    'Jamaica' => 'Jamaica',
    'Japan' => 'Japan',
    'Jersey' => 'Jersey',
    'Jordan' => 'Jordan',
    'Kazakhstan' => 'Kazakhstan',
    'Kenya' => 'Kenya',
    'Kiribati' => 'Kiribati',
    'Korea, Democratic People\'s Republic of' => 'Korea, Democratic People\'s Republic of',
    'Korea, Republic of' => 'Korea, Republic of',
    'Kuwait' => 'Kuwait',
    'Kyrgyzstan' => 'Kyrgyzstan',
    'Lao People\'s Democratic Republic' => 'Lao People\'s Democratic Republic',
    'Latvia' => 'Latvia',
    'Lebanon' => 'Lebanon',
    'Lesotho' => 'Lesotho',
    'Liberia' => 'Liberia',
    'Libyan Arab Jamahiriya' => 'Libyan Arab Jamahiriya',
    'Liechtenstein' => 'Liechtenstein',
    'Lithuania' => 'Lithuania',
    'Luxembourg' => 'Luxembourg',
    'Macao' => 'Macao',
    'Macedonia, The Former Yugoslav Republic of' => 'Macedonia, The Former Yugoslav Republic of',
    'Madagascar' => 'Madagascar',
    'Malawi' => 'Malawi',
    'Malaysia' => 'Malaysia',
    'Maldives' => 'Maldives',
    'Mali' => 'Mali',
    'Malta' => 'Malta',
    'Marshall Islands' => 'Marshall Islands',
    'Martinique' => 'Martinique',
    'Mauritania' => 'Mauritania',
    'Mauritius' => 'Mauritius',
    'Mayotte' => 'Mayotte',
    'Mexico' => 'Mexico',
    'Micronesia, Federated States of' => 'Micronesia, Federated States of',
    'Moldova, Republic of' => 'Moldova, Republic of',
    'Monaco' => 'Monaco',
    'Mongolia' => 'Mongolia',
    'Montenegro' => 'Montenegro',
    'Montserrat' => 'Montserrat',
    'Morocco' => 'Morocco',
    'Mozambique' => 'Mozambique',
    'Myanmar' => 'Myanmar',
    'Namibia' => 'Namibia',
    'Nauru' => 'Nauru',
    'Nepal' => 'Nepal',
    'Netherlands' => 'Netherlands',
    'Netherlands Antilles' => 'Netherlands Antilles',
    'New Caledonia' => 'New Caledonia',
    'New Zealand' => 'New Zealand',
    'Nicaragua' => 'Nicaragua',
    'Niger' => 'Niger',
    'Nigeria' => 'Nigeria',
    'Niue' => 'Niue',
    'Norfolk Island' => 'Norfolk Island',
    'Northern Mariana Islands' => 'Northern Mariana Islands',
    'Norway' => 'Norway',
    'Oman' => 'Oman',
    'Pakistan' => 'Pakistan',
    'Palau' => 'Palau',
    'Palestinian Territory, Occupied' => 'Palestinian Territory, Occupied',
    'Panama' => 'Panama',
    'Papua New Guinea' => 'Papua New Guinea',
    'Paraguay' => 'Paraguay',
    'Peru' => 'Peru',
    'Philippines' => 'Philippines',
    'Pitcairn' => 'Pitcairn',
    'Poland' => 'Poland',
    'Portugal' => 'Portugal',
    'Puerto Rico' => 'Puerto Rico',
    'Qatar' => 'Qatar',
    'Reunion' => 'Reunion',
    'Romania' => 'Romania',
    'Russian Federation' => 'Russian Federation',
    'Rwanda' => 'Rwanda',
    'Saint Helena' => 'Saint Helena',
    'Saint Kitts and Nevis' => 'Saint Kitts and Nevis',
    'Saint Lucia' => 'Saint Lucia',
    'Saint Pierre and Miquelon' => 'Saint Pierre and Miquelon',
    'Saint Vincent and The Grenadines' => 'Saint Vincent and The Grenadines',
    'Samoa' => 'Samoa',
    'San Marino' => 'San Marino',
    'Sao Tome and Principe' => 'Sao Tome and Principe',
    'Saudi Arabia' => 'Saudi Arabia',
    'Senegal' => 'Senegal',
    'Serbia' => 'Serbia',
    'Seychelles' => 'Seychelles',
    'Sierra Leone' => 'Sierra Leone',
    'Singapore' => 'Singapore',
    'Slovakia' => 'Slovakia',
    'Slovenia' => 'Slovenia',
    'Solomon Islands' => 'Solomon Islands',
    'Somalia' => 'Somalia',
    'South Africa' => 'South Africa',
    'South Georgia and The South Sandwich Islands' => 'South Georgia and The South Sandwich Islands',
    'Spain' => 'Spain',
    'Sri Lanka' => 'Sri Lanka',
    'Sudan' => 'Sudan',
    'Suriname' => 'Suriname',
    'Svalbard and Jan Mayen' => 'Svalbard and Jan Mayen',
    'Swaziland' => 'Swaziland',
    'Sweden' => 'Sweden',
    'Switzerland' => 'Switzerland',
    'Syrian Arab Republic' => 'Syrian Arab Republic',
    'Taiwan' => 'Taiwan',
    'Tajikistan' => 'Tajikistan',
    'Tanzania, United Republic of' => 'Tanzania, United Republic of',
    'Thailand' => 'Thailand',
    'Timor-leste' => 'Timor-leste',
    'Togo' => 'Togo',
    'Tokelau' => 'Tokelau',
    'Tonga' => 'Tonga',
    'Trinidad and Tobago' => 'Trinidad and Tobago',
    'Tunisia' => 'Tunisia',
    'Turkey' => 'Turkey',
    'Turkmenistan' => 'Turkmenistan',
    'Turks and Caicos Islands' => 'Turks and Caicos Islands',
    'Tuvalu' => 'Tuvalu',
    'Uganda' => 'Uganda',
    'Ukraine' => 'Ukraine',
    'United Arab Emirates' => 'United Arab Emirates',
    'United Kingdom' => 'United Kingdom',
    'United States' => 'United States',
    'United States Minor Outlying Islands' => 'United States Minor Outlying Islands',
    'Uruguay' => 'Uruguay',
    'Uzbekistan' => 'Uzbekistan',
    'Vanuatu' => 'Vanuatu',
    'Venezuela' => 'Venezuela',
    'Viet Nam' => 'Viet Nam',
    'Virgin Islands, British' => 'Virgin Islands, British',
    'Virgin Islands, U.S.' => 'Virgin Islands, U.S.',
    'Wallis and Futuna' => 'Wallis and Futuna',
    'Western Sahara' => 'Western Sahara',
    'Yemen' => 'Yemen',
    'Zambia' => 'Zambia',
    'Zimbabwe' => 'Zimbabwe'
]);

define("FEED_BACK_STATUS",json_encode(['Pending','Resolved','Closed']));

define("ADMIN_EMAIL_LEARNING_HUB","admissions@lslh.org.uk");

define("IS_MANDATORY",['1' => 'Required', '0' => 'Not Required']);

define('FORM_SEQUENCE',[
    '1' => 'First',
    '2' => 'Second',
    '3' => 'Third',
    '4' => 'Fourth',
    '5' => 'Fifth',
    '6' => 'Sixth',
    '7' => 'Seventh'
]);

define("AVOID_FROM_REPORT",["id","Date","student_id","status","current_checklist_id","created_by","updated_by","created_at","updated_at", "created_by_id","updated_by_id","emergency_contact_name", "emergency_contact_relation", "emergency_contact_email", "emergency_contact_phone_number", "education_name1", "education_year1", "education_institution1", "education_name2", "education_year2", "education_institution2", "education_name3", "education_year3" ,"education_institution3" ,"employer_name", "position"]);

define('ALL_REPORT_TABLES',[
    'Students' => 'Student',
    'Courses' => 'Course',
    'Sessions' => 'Session',
    'RegistrationPayments' => 'Registration Payment',
    'PassportDetails' => 'Passport Detail'
]);

define('FIXED_REPORT_VARIABLE',[
    'Current Date' => FrozenTime::now()->format('jS F Y'),
    'Provider' => "London School of Learning Hub",
    'Bank Account Title' => 'London School of Learning Hub',
    'Bank SortCode' =>'60-01-38',
    'Bank AccountNo' => '53619404',
    'Bank IBAN_NO' => 'GB98 NWBK 6001 3853 6194 04',
    'Bank SWIFT-BIC'=> 'NWBKGB2L',
    'Admin Email' => 'admissions@lslh.org.uk',
    'Phone Number' => '+44-02034887793',
    'Office Address' => '160 London Road Jhumat house, Barking IG11 8BB',
    'ASIC Accreditation No' => 'AS90940/1121',
    'Admission Officer' => 'Ms. Agata Pawlowska',
    'Verification link' => 'https://www.lslh.org.uk/verification'
]);

define('VISA_TYPE',[
    'student-visa' => 'Student Visa',
    'child-study-visa' => "Child Student Visa",
    'visa-to-study-english' => 'Short-term study visa',
    'standard-visitor' =>'Visit the UK as a Standard Visitor'
]);

define('DECIMAL_COLUMN',[
    'registration_fee',
    'tuition_fees',
    'total_fees_paid',
    'total_fees' ,
    'outstanding_fees' ,
    'total_fees' ,
    'living_costs'
]);

define('STUDY_MOD',[
    '1' => 'Full-time',
    '2' => "Part-time",
    '3' => 'Online/Distance Learning',
    '4' =>'Blended Learning'
]);

define('OFFER_LETTER_TYPE',[
    '1' => 'Offer Letter',
    '2' => "Conditional Offer Letter"
]);

define('DEFAULT_USER_PASSWORD','12345678');

define('USER_TYPE',['ADMINISTRATOR'=>'0','STUDENT'=>'1']);

define('DEFAULT_STUDENT_USER_GROUP',14);
define('COURSE_SEMESTER_ID',1);

//define('NOTIFICATION_TYPE',['EMAIL'=>'email','SMS'=>'sms']);
//define('PAYMENT_METHOD',['BKASH'=>'bkash','NMI'=>'nmi']);

define('AVAILABILITY_TYPE',['1'=>'UK and International','2'=>'UK']);
define('DELIVERY_MODE',[1 => 'Online', 2 => 'Blended', 3 => 'Both']);

define('ACCREDITATION_STATUS', [
    1  => 'Accredited',
    2  => 'Under Review'
]);
define('ENGLISH_COURSE_CATEGORY_ID',2);

?>
